package de.ivu.elect.dokumente.ergebnis;

import de.ivu.elect.business.ergebnis.control.NlErgebnisDaten;
import de.ivu.elect.business.kandidatur.control.StimmzettelFormatter;
import de.ivu.elect.business.person.entity.PersonendatenPK;
import de.ivu.elect.business.wahlvorschlag.entity.Liste;
import de.ivu.elect.dokumente.wahlvorschlag.GruppeDokument;

import java.util.Collections;
import java.util.function.Function;

public class NlListeKandidatenStimmenProListeDocument extends NlKandidatenStimmenProListeDocument {
  public NlListeKandidatenStimmenProListeDocument(GruppeDokument gruppe, Liste liste, Boolean mitGeaenderterReihenfolge,
                                                  NlErgebnisDaten ergebnisDaten, StimmzettelFormatter stimmzettelFormatter,
                                                  Function<PersonendatenPK, Boolean> isMitVorzugsstimmenGewaehltFunction) {
    super(gruppe,
            erzeugeKopfzeilen(Collections.emptyList()), //nur die gesamte Stimmenzahl anzeigen, da es nur ein Gebiet gibt
            erzeugeKandidatenStimmenZeilen(Collections.singletonList(liste), ergebnisDaten, stimmzettelFormatter,
                    isMitVorzugsstimmenGewaehltFunction),
            getAnzahlSitzeDerListe(Collections.singletonList(liste), ergebnisDaten),
            getAnzahlStimmenDerListe(Collections.singletonList(liste), ergebnisDaten),
            null, liste.getGebiet().getNummer(), mitGeaenderterReihenfolge,
            false);
  }
}
